import type { CacheType, Interaction } from "discord.js";
import createEmbed from "./help.components";

export class HelpService {
    exampleEmbed: any;

    constructor() {
        this.exampleEmbed = createEmbed();
    }

    async handleInteraction(interaction: Interaction<CacheType>) {
        console.log("help");

        if (interaction.isChatInputCommand()) {
            await interaction.reply({
                embeds: [this.exampleEmbed],
            });
        }
    }
}